tech-pkg archive
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]
Re: [GSoC2011][STATUS-UPDATE]Add support for FreeBSD package format, RPM and Debian packages(if time allows) to pkgsrc
(I sent you some comments off-list also.)
Just letting others know.... it is working for me. For example:
[root@bind10-testing1 xterm]# /home/jreed/pkgsrc-rpm/install2/bin/rpm
-qa
digest-20080510-0
tnftp-20070806-0
gethost-0.03-0
f2c-20100903-0
libtool-base-2.2.6b-4
pkg-config-0.25-1
kbproto-1.0.5-0
xproto-7.0.18-0
readline-6.2-0
pax-20080110-0
db4-4.8.30-0
bzip2-1.0.6-0
One problem is that I am getting lots of
=> Returning to build of python26-2.6.6nb9
ERROR: [resolve-dependencies] A package matching ``readline>=6.0''
should
ERROR: be installed, but one cannot be found. Perhaps there is a
ERROR: stale work directory for ../../devel/readline?
*** Error code 1
When I do a make clean there it continues fine. See above it is
installed. So it installs twice.
Maybe some package matching is not working.
Here is the output.... (I will have to look later):
=> Returning to build of python26-2.6.6nb9
=> Returning to build of python26-2.6.6nb9
===> Skipping vulnerability checks.
WARNING: No /home/jreed/pkgsrc-rpm/install2/var/db/pkg/pkg-vulnerabilities file
found.
WARNING: To fix run: `/home/jreed/pkgsrc-rpm/install2/sbin/pkg_admin -K
/home/jreed/pkgsrc-rpm/install2/var/db/pkg fetch-pkg-vulnerabilities'.
=> Checksum SHA1 OK for Python-2.6.6.tar.bz2
=> Checksum RMD160 OK for Python-2.6.6.tar.bz2
===> Installing dependencies for python26-2.6.6nb9
==========================================================================
The following variables will affect the build process of this package,
python26-2.6.6nb9. Their current value is shown below:
* BDB185_DEFAULT = db4
* BDB_DEFAULT = db4
* SSLBASE = /usr
* SSLCERTS = /etc/ssl/certs
* SSLDIR = /etc/ssl
* SSLKEYS = /etc/ssl/private
Based on these variables, the following variables have been set:
* BDBBASE (defined, but empty)
* BDB_LIBS = -ldb4
* BDB_TYPE = db4
* TERMCAP_TYPE = termcap
You may want to abort the process now with CTRL-C and change their value
before continuing. Be sure to run `/home/jreed/pkgsrc-rpm/install2/bin/bmake
clean' after
the changes.
==========================================================================
exec 3<&0; /bin/cat
/home/jreed/pkgsrc-rpm/pkgsrc/lang/python26/work/.depends |
while read type pattern dir; do
test "$type" != "bootstrap" || continue; comp=`echo
"$pattern" | /bin/awk '{ if ($1 ~ /.>=/) print "-ge"; else { if ($1 ~ /.>/)
print "-gt"; else { if ($1 ~ /.<=/) print "-le"; else { if ($1 ~ /.</) print
"-lt"; else { if ($1 ~ /.=/) print "-eq"; }}}}} '`; name=`echo "$pattern" |
/bin/awk '{ if ($1 ~ /.>=|.>|.<=|.<|.=/) {split($1, a, />=|>|<=|<|=/); print
a[1];} else {if($1~/.-/) {v=split($1, a, /-/); if(v>3) printf("%s-%s",
a[1],a[2]); else print a[1]} }} '`; nversion=`echo "$pattern" | /bin/awk '{
if ($1 ~ /.>=|.>|.<=|.<|.=/) {split($1, a, />=|>|<=|<|=/); print a[2];} else
print "any"} '`; nversion2=`/home/jreed/pkgsrc-rpm/install2/bin/rpm -q $name |
/bin/awk '{if ($1 ~ /^'"$name"'/) {split($1, a, /'"$name"'-/); print a[2];}
else print ""}'`; case $type in bootstrap) Type=Bootstrap;; build)
Type=Build;; full) Type=Full;; esac; version=`echo "$nversion" | /bin/awk '{
if ($1 ~ /-/) {split($1, a, /-/); print a[1]} else print ""} '`;
version2=`echo "$nversion2" | /bin/awk '{ if ($1 ~ /-/) split($1, a, /-/);
print a[1]} '`; eval _tmp="\"\$version2\""; case `echo "$comp"` in -ge) if [
"x$_tmp" = "x" ] || [ 0 -ne `/bin/awk 'BEGIN {if($version2>=$version){print 0}
else {print 1}}'` ]; then echo "=>" "$Type dependency $pattern: NOT found";
target=package-install; echo "=>" "Verifying $target for
$dir"; [ -d "$dir" ] || /bin/sh
/home/jreed/pkgsrc-rpm/pkgsrc/mk/scripts/fail echo 1>&2 "ERROR:" "[depends.mk]
The directory \`\`$dir'' does not exist."; cd $dir; /usr/bin/env
PATH=/home/jreed/pkgsrc-rpm/pkgsrc/lang/python26/work/.wrapper/bin:/home/jreed/pkgsrc-rpm/pkgsrc/lang/python26/work/.buildlink/bin:/home/jreed/pkgsrc-rpm/pkgsrc/lang/python26/work/.gcc/bin:/home/jreed/pkgsrc-rpm/pkgsrc/lang/python26/work/.tools/bin:/home/jreed/pkgsrc-rpm/install2/bin:/usr/kerberos/sbin:/usr/kerberos/bin:/usr/local/bin:/bin:/usr/bin:/home/jreed/bin
_PKGSRC_DEPS=" python26-2.6.6nb9" PKGNAME_REQD="$pattern"
/home/jreed/pkgsrc-rpm/install2/bin/bmake
_MAKE=/home/jreed/pkgsrc-rpm/install2/bin/bmake OPSYS=Linux OS_VERSION=2.6.18
LOWER_OPSYS=linux _PKGSRCDIR=/home/jreed/pkgsrc-rpm/pkgsrc
PKGTOOLS_VERSION=20110215 _CC=/usr/bin/gcc
_PATH_ORIG=/usr/kerberos/sbin:/usr/kerberos/bin:/usr/local/bin:/bin:/usr/bin:/home/jreed/bin
_AUTOMATIC=yes $target; nversion2=`/home/jreed/pkgsrc-rpm/install2/bin/rpm -q
$name | /bin/awk '{if ($1 ~ /^'"$name"'/) {split($1, a, /'"$name"'-/); print
a[2];} else print ""}'`; version2=`echo "$nversion2" | /bin/awk '{ if ($1 ~
/-/) split($1, a, /-/); print a[1]} '`; eval _tmp="\"\$version2\"";
case `echo "$comp"` in "-ge") if [ "x$_tmp" = "x" ] || [ 0 -ne `/bin/awk
'BEGIN {if($version2>=$version){print 0}}'` ]; then echo 1>&2 "ERROR:"
"[depends.mk] A package matching \`\`$pattern'' should"; echo 1>&2 "ERROR:" "
be installed, but one cannot be found. Perhaps there is a"; echo 1>&2
"ERROR:" " stale work directory for $dir?"; exit 1; fi ;; "-gt") if
[ "x$_tmp" = "x" ] || [ 0 -ne `/bin/awk 'BEGIN {if($version2>$version){print
0}}'` ]; then echo 1>&2 "ERROR:" "[depends.mk] A package matching
\`\`$pattern'' should"; echo 1>&2 "ERROR:" " be installed, but one cannot
be found. Perhaps there is a"; echo 1>&2 "ERROR:" " stale work directory
for $dir?"; exit 1; fi ;; "-le") if [ "x$_tmp" = "x" ] || [ 0
-ne `/bin/awk 'BEGIN {if($version2<=$version){print 0}}'` ]; then echo 1>&2
"ERROR:" "[depends.mk] A package matching \`\`$pattern'' should"; echo 1>&2
"ERROR:" " be installed, but one cannot be found. Perhaps there is a";
echo 1>&2 "ERROR:" " stale work directory for $dir?"; exit 1; fi ;;
"-lt") if [ "x$_tmp" = "x" ] || [ 0 -ne `/bin/awk 'BEGIN
{if($version2<$version){print 0}}'` ]; then echo 1>&2 "ERROR:" "[depends.mk] A
package matching \`\`$pattern'' should"; echo 1>&2 "ERROR:" " be installed,
but one cannot be found. Perhaps there is a"; echo 1>&2 "ERROR:" " stale
work directory for $dir?"; exit 1; fi ;; "-eq") if [ "x$_tmp"
= "x" ] || [ 0 -ne `/bin/awk 'BEGIN {if($version2=$version){print 0}}'` ]; then
echo 1>&2 "ERROR:" "[depends.mk] A package matching \`\`$pattern'' should";
echo 1>&2 "ERROR:" " be installed, but one cannot be found. Perhaps there
is a"; echo 1>&2 "ERROR:" " stale work directory for $dir?"; exit 1; fi ;;
*) eval _tmp="\"\$version2\""; if [ "x$_tmp" = "x" ]; then
echo 1>&2 "ERROR:" "[depends.mk] A package matching \`\`$pattern'' should";
echo 1>&2 "ERROR:" " be installed, but one cannot be found. Perhaps there
is a"; echo 1>&2 "ERROR:" " stale work directory for $dir?"; exit 1; fi ;;
esac; fi ;; -gt) if [ "x$_tmp" = "x" ] || [ 0 -ne `/bin/awk
'BEGIN {if($version2>$version){print 0} else {print 1}}'` ]; then echo "=>"
"$Type dependency $pattern: NOT found"; target=package-install;
echo "=>" "Verifying $target for $dir"; [ -d "$dir" ] ||
/bin/sh /home/jreed/pkgsrc-rpm/pkgsrc/mk/scripts/fail echo 1>&2 "ERROR:"
"[depends.mk] The directory \`\`$dir'' does not exist."; cd $dir;
/usr/bin/env
PATH=/home/jreed/pkgsrc-rpm/pkgsrc/lang/python26/work/.wrapper/bin:/home/jreed/pkgsrc-rpm/pkgsrc/lang/python26/work/.buildlink/bin:/home/jreed/pkgsrc-rpm/pkgsrc/lang/python26/work/.gcc/bin:/home/jreed/pkgsrc-rpm/pkgsrc/lang/python26/work/.tools/bin:/home/jreed/pkgsrc-rpm/install2/bin:/usr/kerberos/sbin:/usr/kerberos/bin:/usr/local/bin:/bin:/usr/bin:/home/jreed/bin
_PKGSRC_DEPS=" python26-2.6.6nb9" PKGNAME_REQD="$pattern"
/home/jreed/pkgsrc-rpm/install2/bin/bmake
_MAKE=/home/jreed/pkgsrc-rpm/install2/bin/bmake OPSYS=Linux OS_VERSION=2.6.18
LOWER_OPSYS=linux _PKGSRCDIR=/home/jreed/pkgsrc-rpm/pkgsrc
PKGTOOLS_VERSION=20110215 _CC=/usr/bin/gcc
_PATH_ORIG=/usr/kerberos/sbin:/usr/kerberos/bin:/usr/local/bin:/bin:/usr/bin:/home/jreed/bin
_AUTOMATIC=yes $target; nversion2=`/home/jreed/pkgsrc-rpm/install2/bin/rpm -q
$name | /bin/awk '{if ($1 ~ /^'"$name"'/) {split($1, a, /'"$name"'-/); print
a[2];} else print ""}'`; version2=`echo "$nversion2" | /bin/awk '{ if ($1 ~
/-/) split($1, a, /-/); print a[1]} '`; eval _tmp="\"\$version2\"";
case `echo "$comp"` in "-ge") if [ "x$_tmp" = "x" ] || [ 0 -ne `/bin/awk
'BEGIN {if($version2>=$version){print 0}}'` ]; then echo 1>&2 "ERROR:"
"[depends.mk] A package matching \`\`$pattern'' should"; echo 1>&2 "ERROR:" "
be installed, but one cannot be found. Perhaps there is a"; echo 1>&2
"ERROR:" " stale work directory for $dir?"; exit 1; fi ;; "-gt") if
[ "x$_tmp" = "x" ] || [ 0 -ne `/bin/awk 'BEGIN {if($version2>$version){print
0}}'` ]; then echo 1>&2 "ERROR:" "[depends.mk] A package matching
\`\`$pattern'' should"; echo 1>&2 "ERROR:" " be installed, but one cannot
be found. Perhaps there is a"; echo 1>&2 "ERROR:" " stale work directory
for $dir?"; exit 1; fi ;; "-le") if [ "x$_tmp" = "x" ] || [ 0
-ne `/bin/awk 'BEGIN {if($version2<=$version){print 0}}'` ]; then echo 1>&2
"ERROR:" "[depends.mk] A package matching \`\`$pattern'' should"; echo 1>&2
"ERROR:" " be installed, but one cannot be found. Perhaps there is a";
echo 1>&2 "ERROR:" " stale work directory for $dir?"; exit 1; fi ;;
"-lt") if [ "x$_tmp" = "x" ] || [ 0 -ne `/bin/awk 'BEGIN
{if($version2<$version){print 0}}'` ]; then echo 1>&2 "ERROR:" "[depends.mk] A
package matching \`\`$pattern'' should"; echo 1>&2 "ERROR:" " be installed,
but one cannot be found. Perhaps there is a"; echo 1>&2 "ERROR:" " stale
work directory for $dir?"; exit 1; fi ;; "-eq") if [ "x$_tmp"
= "x" ] || [ 0 -ne `/bin/awk 'BEGIN {if($version2=$version){print 0}}'` ]; then
echo 1>&2 "ERROR:" "[depends.mk] A package matching \`\`$pattern'' should";
echo 1>&2 "ERROR:" " be installed, but one cannot be found. Perhaps there
is a"; echo 1>&2 "ERROR:" " stale work directory for $dir?"; exit 1; fi ;;
*) eval _tmp="\"\$version2\""; if [ "x$_tmp" = "x" ]; then
echo 1>&2 "ERROR:" "[depends.mk] A package matching \`\`$pattern'' should";
echo 1>&2 "ERROR:" " be installed, but one cannot be found. Perhaps there
is a"; echo 1>&2 "ERROR:" " stale work directory for $dir?"; exit 1; fi ;;
esac; fi ;; -le) if [ "x$_tmp" = "x" ] || [ 0 -ne `/bin/awk
'BEGIN {if($version2<=$version){print 0} else {print 1}}'` ]; then echo "=>"
"$Type dependency $pattern: NOT found"; target=package-install;
echo "=>" "Verifying $target for $dir"; [ -d "$dir" ] ||
/bin/sh /home/jreed/pkgsrc-rpm/pkgsrc/mk/scripts/fail echo 1>&2 "ERROR:"
"[depends.mk] The directory \`\`$dir'' does not exist."; cd $dir;
/usr/bin/env
PATH=/home/jreed/pkgsrc-rpm/pkgsrc/lang/python26/work/.wrapper/bin:/home/jreed/pkgsrc-rpm/pkgsrc/lang/python26/work/.buildlink/bin:/home/jreed/pkgsrc-rpm/pkgsrc/lang/python26/work/.gcc/bin:/home/jreed/pkgsrc-rpm/pkgsrc/lang/python26/work/.tools/bin:/home/jreed/pkgsrc-rpm/install2/bin:/usr/kerberos/sbin:/usr/kerberos/bin:/usr/local/bin:/bin:/usr/bin:/home/jreed/bin
_PKGSRC_DEPS=" python26-2.6.6nb9" PKGNAME_REQD="$pattern"
/home/jreed/pkgsrc-rpm/install2/bin/bmake
_MAKE=/home/jreed/pkgsrc-rpm/install2/bin/bmake OPSYS=Linux OS_VERSION=2.6.18
LOWER_OPSYS=linux _PKGSRCDIR=/home/jreed/pkgsrc-rpm/pkgsrc
PKGTOOLS_VERSION=20110215 _CC=/usr/bin/gcc
_PATH_ORIG=/usr/kerberos/sbin:/usr/kerberos/bin:/usr/local/bin:/bin:/usr/bin:/home/jreed/bin
_AUTOMATIC=yes $target; nversion2=`/home/jreed/pkgsrc-rpm/install2/bin/rpm -q
$name | /bin/awk '{if ($1 ~ /^'"$name"'/) {split($1, a, /'"$name"'-/); print
a[2];} else print ""}'`; version2=`echo "$nversion2" | /bin/awk '{ if ($1 ~
/-/) split($1, a, /-/); print a[1]} '`; eval _tmp="\"\$version2\"";
case `echo "$comp"` in "-ge") if [ "x$_tmp" = "x" ] || [ 0 -ne `/bin/awk
'BEGIN {if($version2>=$version){print 0}}'` ]; then echo 1>&2 "ERROR:"
"[depends.mk] A package matching \`\`$pattern'' should"; echo 1>&2 "ERROR:" "
be installed, but one cannot be found. Perhaps there is a"; echo 1>&2
"ERROR:" " stale work directory for $dir?"; exit 1; fi ;; "-gt") if
[ "x$_tmp" = "x" ] || [ 0 -ne `/bin/awk 'BEGIN {if($version2>$version){print
0}}'` ]; then echo 1>&2 "ERROR:" "[depends.mk] A package matching
\`\`$pattern'' should"; echo 1>&2 "ERROR:" " be installed, but one cannot
be found. Perhaps there is a"; echo 1>&2 "ERROR:" " stale work directory
for $dir?"; exit 1; fi ;; "-le") if [ "x$_tmp" = "x" ] || [ 0
-ne `/bin/awk 'BEGIN {if($version2<=$version){print 0}}'` ]; then echo 1>&2
"ERROR:" "[depends.mk] A package matching \`\`$pattern'' should"; echo 1>&2
"ERROR:" " be installed, but one cannot be found. Perhaps there is a";
echo 1>&2 "ERROR:" " stale work directory for $dir?"; exit 1; fi ;;
"-lt") if [ "x$_tmp" = "x" ] || [ 0 -ne `/bin/awk 'BEGIN
{if($version2<$version){print 0}}'` ]; then echo 1>&2 "ERROR:" "[depends.mk] A
package matching \`\`$pattern'' should"; echo 1>&2 "ERROR:" " be installed,
but one cannot be found. Perhaps there is a"; echo 1>&2 "ERROR:" " stale
work directory for $dir?"; exit 1; fi ;; "-eq") if [ "x$_tmp"
= "x" ] || [ 0 -ne `/bin/awk 'BEGIN {if($version2=$version){print 0}}'` ]; then
echo 1>&2 "ERROR:" "[depends.mk] A package matching \`\`$pattern'' should";
echo 1>&2 "ERROR:" " be installed, but one cannot be found. Perhaps there
is a"; echo 1>&2 "ERROR:" " stale work directory for $dir?"; exit 1; fi ;;
*) eval _tmp="\"\$version2\""; if [ "x$_tmp" = "x" ]; then
echo 1>&2 "ERROR:" "[depends.mk] A package matching \`\`$pattern'' should";
echo 1>&2 "ERROR:" " be installed, but one cannot be found. Perhaps there
is a"; echo 1>&2 "ERROR:" " stale work directory for $dir?"; exit 1; fi ;;
esac; fi ;; -lt) if [ "x$_tmp" = "x" ] || [ 0 -ne `/bin/awk
'BEGIN {if($version2<$version){print 0} else {print 1}}'` ]; then echo "=>"
"$Type dependency $pattern: NOT found"; target=package-install;
echo "=>" "Verifying $target for $dir"; [ -d "$dir" ] ||
/bin/sh /home/jreed/pkgsrc-rpm/pkgsrc/mk/scripts/fail echo 1>&2 "ERROR:"
"[depends.mk] The directory \`\`$dir'' does not exist."; cd $dir;
/usr/bin/env
PATH=/home/jreed/pkgsrc-rpm/pkgsrc/lang/python26/work/.wrapper/bin:/home/jreed/pkgsrc-rpm/pkgsrc/lang/python26/work/.buildlink/bin:/home/jreed/pkgsrc-rpm/pkgsrc/lang/python26/work/.gcc/bin:/home/jreed/pkgsrc-rpm/pkgsrc/lang/python26/work/.tools/bin:/home/jreed/pkgsrc-rpm/install2/bin:/usr/kerberos/sbin:/usr/kerberos/bin:/usr/local/bin:/bin:/usr/bin:/home/jreed/bin
_PKGSRC_DEPS=" python26-2.6.6nb9" PKGNAME_REQD="$pattern"
/home/jreed/pkgsrc-rpm/install2/bin/bmake
_MAKE=/home/jreed/pkgsrc-rpm/install2/bin/bmake OPSYS=Linux OS_VERSION=2.6.18
LOWER_OPSYS=linux _PKGSRCDIR=/home/jreed/pkgsrc-rpm/pkgsrc
PKGTOOLS_VERSION=20110215 _CC=/usr/bin/gcc
_PATH_ORIG=/usr/kerberos/sbin:/usr/kerberos/bin:/usr/local/bin:/bin:/usr/bin:/home/jreed/bin
_AUTOMATIC=yes $target; nversion2=`/home/jreed/pkgsrc-rpm/install2/bin/rpm -q
$name | /bin/awk '{if ($1 ~ /^'"$name"'/) {split($1, a, /'"$name"'-/); print
a[2];} else print ""}'`; version2=`echo "$nversion2" | /bin/awk '{ if ($1 ~
/-/) split($1, a, /-/); print a[1]} '`; eval _tmp="\"\$version2\"";
case `echo "$comp"` in "-ge") if [ "x$_tmp" = "x" ] || [ 0 -ne `/bin/awk
'BEGIN {if($version2>=$version){print 0}}'` ]; then echo 1>&2 "ERROR:"
"[depends.mk] A package matching \`\`$pattern'' should"; echo 1>&2 "ERROR:" "
be installed, but one cannot be found. Perhaps there is a"; echo 1>&2
"ERROR:" " stale work directory for $dir?"; exit 1; fi ;; "-gt") if
[ "x$_tmp" = "x" ] || [ 0 -ne `/bin/awk 'BEGIN {if($version2>$version){print
0}}'` ]; then echo 1>&2 "ERROR:" "[depends.mk] A package matching
\`\`$pattern'' should"; echo 1>&2 "ERROR:" " be installed, but one cannot
be found. Perhaps there is a"; echo 1>&2 "ERROR:" " stale work directory
for $dir?"; exit 1; fi ;; "-le") if [ "x$_tmp" = "x" ] || [ 0
-ne `/bin/awk 'BEGIN {if($version2<=$version){print 0}}'` ]; then echo 1>&2
"ERROR:" "[depends.mk] A package matching \`\`$pattern'' should"; echo 1>&2
"ERROR:" " be installed, but one cannot be found. Perhaps there is a";
echo 1>&2 "ERROR:" " stale work directory for $dir?"; exit 1; fi ;;
"-lt") if [ "x$_tmp" = "x" ] || [ 0 -ne `/bin/awk 'BEGIN
{if($version2<$version){print 0}}'` ]; then echo 1>&2 "ERROR:" "[depends.mk] A
package matching \`\`$pattern'' should"; echo 1>&2 "ERROR:" " be installed,
but one cannot be found. Perhaps there is a"; echo 1>&2 "ERROR:" " stale
work directory for $dir?"; exit 1; fi ;; "-eq") if [ "x$_tmp"
= "x" ] || [ 0 -ne `/bin/awk 'BEGIN {if($version2=$version){print 0}}'` ]; then
echo 1>&2 "ERROR:" "[depends.mk] A package matching \`\`$pattern'' should";
echo 1>&2 "ERROR:" " be installed, but one cannot be found. Perhaps there
is a"; echo 1>&2 "ERROR:" " stale work directory for $dir?"; exit 1; fi ;;
*) eval _tmp="\"\$version2\""; if [ "x$_tmp" = "x" ]; then
echo 1>&2 "ERROR:" "[depends.mk] A package matching \`\`$pattern'' should";
echo 1>&2 "ERROR:" " be installed, but one cannot be found. Perhaps there
is a"; echo 1>&2 "ERROR:" " stale work directory for $dir?"; exit 1; fi ;;
esac; fi ;; -eq) if [ "x$_tmp" = "x" ] || [ 0 -ne `/bin/awk
'BEGIN {if($version2=$version){print 0} else {print 1}}'` ]; then echo "=>"
"$Type dependency $pattern: NOT found"; target=package-install;
echo "=>" "Verifying $target for $dir"; [ -d "$dir" ] ||
/bin/sh /home/jreed/pkgsrc-rpm/pkgsrc/mk/scripts/fail echo 1>&2 "ERROR:"
"[depends.mk] The directory \`\`$dir'' does not exist."; cd $dir;
/usr/bin/env
PATH=/home/jreed/pkgsrc-rpm/pkgsrc/lang/python26/work/.wrapper/bin:/home/jreed/pkgsrc-rpm/pkgsrc/lang/python26/work/.buildlink/bin:/home/jreed/pkgsrc-rpm/pkgsrc/lang/python26/work/.gcc/bin:/home/jreed/pkgsrc-rpm/pkgsrc/lang/python26/work/.tools/bin:/home/jreed/pkgsrc-rpm/install2/bin:/usr/kerberos/sbin:/usr/kerberos/bin:/usr/local/bin:/bin:/usr/bin:/home/jreed/bin
_PKGSRC_DEPS=" python26-2.6.6nb9" PKGNAME_REQD="$pattern"
/home/jreed/pkgsrc-rpm/install2/bin/bmake
_MAKE=/home/jreed/pkgsrc-rpm/install2/bin/bmake OPSYS=Linux OS_VERSION=2.6.18
LOWER_OPSYS=linux _PKGSRCDIR=/home/jreed/pkgsrc-rpm/pkgsrc
PKGTOOLS_VERSION=20110215 _CC=/usr/bin/gcc
_PATH_ORIG=/usr/kerberos/sbin:/usr/kerberos/bin:/usr/local/bin:/bin:/usr/bin:/home/jreed/bin
_AUTOMATIC=yes $target; nversion2=`/home/jreed/pkgsrc-rpm/install2/bin/rpm -q
$name | /bin/awk '{if ($1 ~ /^'"$name"'/) {split($1, a, /'"$name"'-/); print
a[2];} else print ""}'`; version2=`echo "$nversion2" | /bin/awk '{ if ($1 ~
/-/) split($1, a, /-/); print a[1]} '`; eval _tmp="\"\$version2\"";
case `echo "$comp"` in "-ge") if [ "x$_tmp" = "x" ] || [ 0 -ne `/bin/awk
'BEGIN {if($version2>=$version){print 0}}'` ]; then echo 1>&2 "ERROR:"
"[depends.mk] A package matching \`\`$pattern'' should"; echo 1>&2 "ERROR:" "
be installed, but one cannot be found. Perhaps there is a"; echo 1>&2
"ERROR:" " stale work directory for $dir?"; exit 1; fi ;; "-gt") if
[ "x$_tmp" = "x" ] || [ 0 -ne `/bin/awk 'BEGIN {if($version2>$version){print
0}}'` ]; then echo 1>&2 "ERROR:" "[depends.mk] A package matching
\`\`$pattern'' should"; echo 1>&2 "ERROR:" " be installed, but one cannot
be found. Perhaps there is a"; echo 1>&2 "ERROR:" " stale work directory
for $dir?"; exit 1; fi ;; "-le") if [ "x$_tmp" = "x" ] || [ 0
-ne `/bin/awk 'BEGIN {if($version2<=$version){print 0}}'` ]; then echo 1>&2
"ERROR:" "[depends.mk] A package matching \`\`$pattern'' should"; echo 1>&2
"ERROR:" " be installed, but one cannot be found. Perhaps there is a";
echo 1>&2 "ERROR:" " stale work directory for $dir?"; exit 1; fi ;;
"-lt") if [ "x$_tmp" = "x" ] || [ 0 -ne `/bin/awk 'BEGIN
{if($version2<$version){print 0}}'` ]; then echo 1>&2 "ERROR:" "[depends.mk] A
package matching \`\`$pattern'' should"; echo 1>&2 "ERROR:" " be installed,
but one cannot be found. Perhaps there is a"; echo 1>&2 "ERROR:" " stale
work directory for $dir?"; exit 1; fi ;; "-eq") if [ "x$_tmp"
= "x" ] || [ 0 -ne `/bin/awk 'BEGIN {if($version2=$version){print 0}}'` ]; then
echo 1>&2 "ERROR:" "[depends.mk] A package matching \`\`$pattern'' should";
echo 1>&2 "ERROR:" " be installed, but one cannot be found. Perhaps there
is a"; echo 1>&2 "ERROR:" " stale work directory for $dir?"; exit 1; fi ;;
*) eval _tmp="\"\$version2\""; if [ "x$_tmp" = "x" ]; then
echo 1>&2 "ERROR:" "[depends.mk] A package matching \`\`$pattern'' should";
echo 1>&2 "ERROR:" " be installed, but one cannot be found. Perhaps there
is a"; echo 1>&2 "ERROR:" " stale work directory for $dir?"; exit 1; fi ;;
esac; fi ;; *) eval _tmp="\"\$version2\""; if [ "x$_tmp" =
"x" ]; then echo "=>" "$Type dependency $pattern: NOT found";
target=package-install; echo "=>" "Verifying $target for $dir";
[ -d "$dir" ] || /bin/sh
/home/jreed/pkgsrc-rpm/pkgsrc/mk/scripts/fail echo 1>&2 "ERROR:" "[depends.mk]
The directory \`\`$dir'' does not exist."; cd $dir; /usr/bin/env
PATH=/home/jreed/pkgsrc-rpm/pkgsrc/lang/python26/work/.wrapper/bin:/home/jreed/pkgsrc-rpm/pkgsrc/lang/python26/work/.buildlink/bin:/home/jreed/pkgsrc-rpm/pkgsrc/lang/python26/work/.gcc/bin:/home/jreed/pkgsrc-rpm/pkgsrc/lang/python26/work/.tools/bin:/home/jreed/pkgsrc-rpm/install2/bin:/usr/kerberos/sbin:/usr/kerberos/bin:/usr/local/bin:/bin:/usr/bin:/home/jreed/bin
_PKGSRC_DEPS=" python26-2.6.6nb9" PKGNAME_REQD="$pattern"
/home/jreed/pkgsrc-rpm/install2/bin/bmake
_MAKE=/home/jreed/pkgsrc-rpm/install2/bin/bmake OPSYS=Linux OS_VERSION=2.6.18
LOWER_OPSYS=linux _PKGSRCDIR=/home/jreed/pkgsrc-rpm/pkgsrc
PKGTOOLS_VERSION=20110215 _CC=/usr/bin/gcc
_PATH_ORIG=/usr/kerberos/sbin:/usr/kerberos/bin:/usr/local/bin:/bin:/usr/bin:/home/jreed/bin
_AUTOMATIC=yes $target; nversion2=`/home/jreed/pkgsrc-rpm/install2/bin/rpm -q
$name | /bin/awk '{if ($1 ~ /^'"$name"'/) {split($1, a, /'"$name"'-/); print
a[2];} else print ""}'`; version2=`echo "$nversion2" | /bin/awk '{ if ($1 ~
/-/) split($1, a, /-/); print a[1]} '`; eval _tmp="\"\$version2\"";
case `echo "$comp"` in "-ge") if [ "x$_tmp" = "x" ] || [ 0 -ne `/bin/awk
'BEGIN {if($version2>=$version){print 0}}'` ]; then echo 1>&2 "ERROR:"
"[depends.mk] A package matching \`\`$pattern'' should"; echo 1>&2 "ERROR:" "
be installed, but one cannot be found. Perhaps there is a"; echo 1>&2
"ERROR:" " stale work directory for $dir?"; exit 1; fi ;; "-gt") if
[ "x$_tmp" = "x" ] || [ 0 -ne `/bin/awk 'BEGIN {if($version2>$version){print
0}}'` ]; then echo 1>&2 "ERROR:" "[depends.mk] A package matching
\`\`$pattern'' should"; echo 1>&2 "ERROR:" " be installed, but one cannot
be found. Perhaps there is a"; echo 1>&2 "ERROR:" " stale work directory
for $dir?"; exit 1; fi ;; "-le") if [ "x$_tmp" = "x" ] || [ 0
-ne `/bin/awk 'BEGIN {if($version2<=$version){print 0}}'` ]; then echo 1>&2
"ERROR:" "[depends.mk] A package matching \`\`$pattern'' should"; echo 1>&2
"ERROR:" " be installed, but one cannot be found. Perhaps there is a";
echo 1>&2 "ERROR:" " stale work directory for $dir?"; exit 1; fi ;;
"-lt") if [ "x$_tmp" = "x" ] || [ 0 -ne `/bin/awk 'BEGIN
{if($version2<$version){print 0}}'` ]; then echo 1>&2 "ERROR:" "[depends.mk] A
package matching \`\`$pattern'' should"; echo 1>&2 "ERROR:" " be installed,
but one cannot be found. Perhaps there is a"; echo 1>&2 "ERROR:" " stale
work directory for $dir?"; exit 1; fi ;; "-eq") if [ "x$_tmp"
= "x" ] || [ 0 -ne `/bin/awk 'BEGIN {if($version2=$version){print 0}}'` ]; then
echo 1>&2 "ERROR:" "[depends.mk] A package matching \`\`$pattern'' should";
echo 1>&2 "ERROR:" " be installed, but one cannot be found. Perhaps there
is a"; echo 1>&2 "ERROR:" " stale work directory for $dir?"; exit 1; fi ;;
*) eval _tmp="\"\$version2\""; if [ "x$_tmp" = "x" ]; then
echo 1>&2 "ERROR:" "[depends.mk] A package matching \`\`$pattern'' should";
echo 1>&2 "ERROR:" " be installed, but one cannot be found. Perhaps there
is a"; echo 1>&2 "ERROR:" " stale work directory for $dir?"; exit 1; fi ;;
esac; fi ;; esac; echo "=>" "Returning to build of
python26-2.6.6nb9" 0<&3; done
=> Returning to build of python26-2.6.6nb9
=> Returning to build of python26-2.6.6nb9
=> Returning to build of python26-2.6.6nb9
=> Returning to build of python26-2.6.6nb9
===> Overriding tools for python26-2.6.6nb9
===> Extracting for python26-2.6.6nb9
/bin/mv
/home/jreed/pkgsrc-rpm/pkgsrc/lang/python26/work/Python-2.6.6/Lib/smtpd.py
/home/jreed/pkgsrc-rpm/pkgsrc/lang/python26/work/Python-2.6.6/Lib/smtpd2.6.py
/bin/mv
/home/jreed/pkgsrc-rpm/pkgsrc/lang/python26/work/Python-2.6.6/Tools/scripts/pydoc
/home/jreed/pkgsrc-rpm/pkgsrc/lang/python26/work/Python-2.6.6/Tools/scripts/pydoc2.6
/bin/mv
/home/jreed/pkgsrc-rpm/pkgsrc/lang/python26/work/Python-2.6.6/Tools/scripts/2to3
/home/jreed/pkgsrc-rpm/pkgsrc/lang/python26/work/Python-2.6.6/Tools/scripts/2to3-2.6
===> Patching for python26-2.6.6nb9
=> Applying pkgsrc patches for python26-2.6.6nb9
===> Creating toolchain wrappers for python26-2.6.6nb9
ERROR: bzip2>=1.0.1 is not installed; can't buildlink files.
*** Error code 1
Stop.
bmake: stopped in /home/jreed/pkgsrc-rpm/pkgsrc/lang/python26
*** Error code 1
Stop.
bmake: stopped in /home/jreed/pkgsrc-rpm/pkgsrc/lang/python26
Home |
Main Index |
Thread Index |
Old Index